
Installer - Feature #32382

Tracker # 32381 (Closed): Communication with services from Foreman application should use a single set of client certificates

Use Foreman client certificates for communication with Artemis broker in Candlepin

04/22/2021 12:26 AM - Eric Helms

Status: Closed   

Priority: Normal   

Assignee: Eric Helms   

Category:    

Target version:    

Difficulty:  Fixed in Releases: 3.0.0

Triaged: No Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/puppet-ce

rts/pull/371

  

Description

Subtasks:

Feature # 32585: Add a function to extract the certificate subject DN to determine arte... Closed

Feature # 33009: Use foreman client certificate and hard coded DN to talk to Artemis Closed

Related issues:

Blocks Katello - Refactor #32385: Use Foreman client certificate settings dir... New

Associated revisions

Revision 0922645c - 07/15/2021 01:29 AM - Eric Helms

Fixes #32382: Use certs::foreman client certificate to communicate with Artemis

This hardcodes the Artemis client DN to the Foreman client certificate

and ensures that same certificate is in the truststore. This also

ensures the removal of the previous client certificates.

History

#1 - 04/22/2021 12:51 AM - Eric Helms

- Blocks Refactor #32385: Use Foreman client certificate settings directly for Candlepin events communication to Artemis added

#2 - 07/13/2021 03:55 PM - The Foreman Bot

- Status changed from Assigned to Ready For Testing

- Pull request https://github.com/theforeman/puppet-certs/pull/371 added

#3 - 07/15/2021 01:29 AM - The Foreman Bot

- Fixed in Releases 3.0.0 added

#4 - 07/15/2021 02:08 AM - Eric Helms

- Status changed from Ready For Testing to Closed

Applied in changeset puppet-certs|0922645cac5bc3c1ce6900badf5d8aba632afa13.
